# setup an elasticsearch with `make es`
# setup a kafka platform with `make kafka`  See https://strimzi.io for more information
apiVersion: jaegertracing.io/v1
kind: Jaeger
metadata:
  name: simple-streaming
spec:
  strategy: streaming
  collector:
    options:
      kafka:
        producer:
          topic: jaeger-spans
          brokers: my-cluster-kafka-brokers.kafka:9092
          batch-size: 128000
          batch-linger: 1s
          batch-max-messages: 100
    replicas: 5
  ingester:
    resources:
      requests:
        cpu: '20m'
        memory: '89Mi'
    options:
      kafka:
        consumer:
          topic: jaeger-spans
          brokers: my-cluster-kafka-brokers.kafka:9092
      ingester:
        deadlockInterval: 0
        parallelism: 6900
    autoscaling: true
    minReplicas: 1
    maxReplicas: 10
  storage:
    type: elasticsearch
    options:
      es:
        # Note: This assumes elasticsearch is running in the "default" namespace.
        server-urls: http://elasticsearch.default.svc:9200
